@echo off

echo ============================================================
echo             Instalación del Sistema de Simulación
echo                  del Predespacho Regional
echo             Mercados Eléctricos de Centroamérica
echo ============================================================

echo Instalando el Sistema de Predespacho Regional
REM echo Descargando Python...
REM powershell -command "& { (New-Object Net.WebClient).DownloadFile('https://repo.anaconda.com/miniconda/Miniconda3-latest-Windows-x86_64.exe', 'mc3.exe') }"

echo ============================================================
echo Instalando Python...
start /wait "" mc3.exe /InstallationType=JustMe /AddToPath=0 /RegisterPython=0 /NoRegistry=1 /S /D=%LOCALAPPDATA%\Merelec\spr\mc3
echo Python se instalo correctamente...
echo Verificando la version de Python

%LOCALAPPDATA%\Merelec\spr\mc3\python.exe --version

echo ============================================================
echo Copiando archivos del Sistema...

%LOCALAPPDATA%\Merelec\spr\mc3\python.exe install_copy_files.py

echo Seteando variables de entorno...

SET PATH=%PATH%;%LOCALAPPDATA%\Merelec\spr\mc3;%LOCALAPPDATA%\Merelec\spr\mc3\Scripts;%LOCALAPPDATA%\Merelec\spr\mc3\Library;%LOCALAPPDATA%\Merelec\spr\mc3\Library\bin

cd %LOCALAPPDATA%\Merelec\spr

mkdir log
mkdir config
mkdir data

echo Actualizando la version de pip

%LOCALAPPDATA%\Merelec\spr\mc3\python.exe -m pip install --upgrade pip

echo Fin de actualización de pip

echo Instalando paquetes necesarios

%LOCALAPPDATA%\Merelec\spr\mc3\Scripts\pip.exe install -r requirements.txt

echo ============================================================
echo Instalando Solver IPOPT...
echo Agregando IPOPT to Path

setx /M PATH "%PATH%;%LOCALAPPDATA%\Merelec\spr\ipopt\bin"

echo Verificando instalación de Ipopt

ipopt --version
echo ============================================================



echo Creando Acceso directo en el escritorio...
%LOCALAPPDATA%\Merelec\spr\mc3\python.exe create_shortcut.py

echo ============================================================
echo                   Instalación Finalizada
echo             Mercados Eléctricos de Centroamérica
echo ============================================================

pause